# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.1.23] - 11-July-2020
### Added
- FreeTextAnnotation: Added a default value for the LineDashPattern property when the border style is set to dashed, but lineDashPattern is not sent from the client viewer.

## [1.1.22] - 30-June-2020
### Added
- Added support for markup annotation references, State and StateModel properties.

## [1.0.12] - 29-June-2020
### Fixed
- The fields order is changed after modifying the name of a radio button in form editor mode. (DOC-2081)
- Cannot save empty text alignment.

## [1.0.11] - 11-June-2020
### Fixed
- Cannot rename radio button field to an existing name to create a radio button group (case 2). (DOC-2025)

## [1.0.10] - 28-May-2020
### Added
- Added new properties: fileUrl, fileName. Sample usage in a controller derived from GcPdfViewerController:
```csharp
public override void OnDocumentModified(GcPdfDocumentLoader documentLoader) {
  string fileUrl = documentLoader.Info.documentOptions.fileUrl;
  string fileName = documentLoader.Info.documentOptions.fileName;
}
```

## [1.0.9] - 09-May-2020
### Fixed
- Incorrect file extension when downloading file using the "save" button in IE11. (DOC-2009)

## [1.0.8] - 08-May-2020
- FreeText annotation's text box size is incorrect when annotation
  updated using Annotation Editor in some cases. (DOC-1990)

## [1.0.7] - 05-May-2020
- All form controls get named with "_1" at end and can't remove it. (DOC-2001)

## [1.0.6] - 04-May-2020
### Fixed
- Adding a field with a duplicate name to a form shows an "Unknown Widget" when loading that form into the viewer. (DOC-1991)
- Deleting a form field could delete just the widget, leaving the field. (DOC-1991)
- Form field changes not saved when field owner is another field. (DOC-1997)
- Forecolor applies on border as well. (DOC-1963)
- Display error message when GcPdf is not licensed. (DOC-1818)

## [1.0.5] - 24-Apr-2020
### Added
- Added support for userData option (Arbitrary data associated with the viewer).
  Sample usage in a controller derived from GcPdfViewerController:
```csharp
  public override void OnDocumentModified(GcPdfDocumentLoader documentLoader) {
    object userData = documentLoader.Info.documentOptions.userData;
  }
```

## [1.0.4] - 22-Apr-2020
### Added
- Added the ability to open a PDF from an external URL.
### Fixed
- Fixed a problem when opening documents without meta information.
- Incorrect rendering of redact annotations in some PDFs. (DOC-1976)
- Fixed a problem with updating form fields tab order. (DOC-1982)

## [1.0.3] - 09-Apr-2020
### Fixed
- Viewer pops up an error message when opening a password-protected file. (DOC-1946)

## [1.0.2] - 02-Apr-2020
### Added
- Added support for WebForm applications.
- Display 'Document is too large' message when document exceeds request size allowed by HTTP server.
### Fixed
- Fixed a thread safety problem when SupportApi is used to open several documents at once.
- Text justification does not applied to a text field widget when modified document is saved and loaded into viewer again. (DOC-1873)
- Fixed problem with resolving Download action for Web Api 2 (Web Forms) routing.
- Fixed problem with converting line annotation's coordinate values for some specific cultures.

## [1.0.1] - 10-Mar-2020
### Added
- Added ability to edit basic Link annotation properties. (DOC-1847)
- Version number (Properties/AssemblyInfo.cs) (1.0.1).
- CHANGELOG.md (this file).

## [1.0.0] - 05-Mar-2020
### First public release.
