import { Component, MouseEvent } from 'react';
import { DocumentProperties } from './DocumentProperties';
import { DocumentSecuritySummary } from '../Security/DocumentSecuritySummary';
import { i18n } from 'i18next';
export declare type PropertiesDialogProps = {
    i18n: i18n;
};
export declare class PropertiesDialog extends Component<PropertiesDialogProps, DocumentProperties> {
    createTabsMetaData(): void;
    rootElement: HTMLDivElement;
    constructor(props: any);
    get isVisible(): boolean;
    close(): void;
    shouldComponentUpdate(): boolean;
    show(metaDataPromise: Promise<DocumentProperties>, permissionsPromise: Promise<DocumentSecuritySummary>): void;
    hide(): void;
    onMouseUp(e: any): boolean;
    render(): JSX.Element;
    showTab(e: MouseEvent): void;
    _showTabInternal(className: string): void;
    _fillElements(fieldNames: ({
        key: string;
        label?: string;
        value?: string;
        optional?: boolean;
        noLabel?: boolean;
        legend?: string;
    } | any)[], state: any): JSX.Element[];
    readFonts(val: any): any;
    readDocSecurity(summary: DocumentSecuritySummary): JSX.Element;
    readPermissions(summary: DocumentSecuritySummary): JSX.Element;
}
